if (material >= 35 && material <= 40 || (material == 311 || material == 312)) {
	if (albedo.b > albedo.g || albedo.r > albedo.g) {
		emission = lAlbedo * 0.125;
		emission = max(emission, 0.0);
	}
    if (material == 39) {
        emission = int(lAlbedo > 0.9) * 0.125;
    }
}